LINUX.ORG.RU
ФорумAdmin

Обновить php на centos до более актуальной версии

 , ,


0

1

Расскажите, как это сделать? Всегда, когда сам делал, получал несовместимость пакетов, и полный трындец. По этому спрашиваю у тех, кто разбирается.

# cat /etc/redhat-release
CentOS release 6.9 (Final)

# php -v
PHP 5.3.3 (cli) (built: Mar 22 2017 12:27:09)
Copyright (c) 1997-2010 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies

# yum list installed | grep php
php.x86_64                           5.3.3-49.el6                     @base
php-cli.x86_64                       5.3.3-49.el6                     @base
php-common.x86_64                    5.3.3-49.el6                     @base
php-domxml-php4-php5.noarch          1.21.2-1.el6                     @epel
php-gd.x86_64                        5.3.3-49.el6                     @base
php-mcrypt.x86_64                    5.3.3-5.el6                      @epel
php-mysql.x86_64                     5.3.3-49.el6                     @base
php-pdo.x86_64                       5.3.3-49.el6                     @base
php-process.x86_64                   5.3.3-49.el6                     @base
php-xml.x86_64                       5.3.3-49.el6                     @base

Очень надо хотя бы 5.4, лучше новее.


гугли CentOS Software Collections

anonymous ()
Ответ на: комментарий от Eof

Зря ты седьмой накатил.
Лучше оставайся на 5-ой по максимуму.
На что хоть апач ругается?
Ну, или до 7.3 обновляйся, туда php7 не страшно вставлять. Хотя Zabbix на php7 не заработает например.

imul ★★★★★ ()
Ответ на: комментарий от man_of_motley

Поставил 5.6 Как тут написано https://www.softwarecollections.org/en/scls/rhscl/rh-php56/

До этого снес 7ой (с того же сайта мануал)

Все равно отдает .php как html. В чем может быть дело? В логах виртхостов только directory index forbidden by options directive

Eof ()
Ответ на: комментарий от imul
# cat /var/log/httpd/error_log
[Sun Jun 04 03:43:02 2017] [notice] Digest: generating secret for digest authentication ...
[Sun Jun 04 03:43:02 2017] [notice] Digest: done
[Sun Jun 04 03:43:03 2017] [notice] Apache/2.2.15 (Unix) DAV/2 mod_rpaf/0.6 configured -- resuming normal operations
[Tue Jun 06 09:05:10 2017] [notice] caught SIGTERM, shutting down
[Tue Jun 06 09:05:10 2017] [notice] suEXEC mechanism enabled (wrapper: /usr/sbin/suexec)
[Tue Jun 06 09:05:10 2017] [notice] Digest: generating secret for digest authentication ...
[Tue Jun 06 09:05:10 2017] [notice] Digest: done
[Tue Jun 06 09:05:10 2017] [notice] Apache/2.2.15 (Unix) DAV/2 mod_rpaf/0.6 configured -- resuming normal operations
[Tue Jun 06 10:15:50 2017] [notice] caught SIGTERM, shutting down
[Tue Jun 06 10:27:51 2017] [notice] suEXEC mechanism enabled (wrapper: /usr/sbin/suexec)
[Tue Jun 06 10:27:51 2017] [notice] Digest: generating secret for digest authentication ...
[Tue Jun 06 10:27:51 2017] [notice] Digest: done
[Tue Jun 06 10:27:51 2017] [notice] Apache/2.2.15 (Unix) DAV/2 mod_rpaf/0.6 configured -- resuming normal operations
[Tue Jun 06 10:28:15 2017] [notice] caught SIGTERM, shutting down
[Tue Jun 06 10:28:15 2017] [notice] suEXEC mechanism enabled (wrapper: /usr/sbin/suexec)
[Tue Jun 06 10:28:15 2017] [notice] Digest: generating secret for digest authentication ...
[Tue Jun 06 10:28:15 2017] [notice] Digest: done
[Tue Jun 06 10:28:16 2017] [notice] Apache/2.2.15 (Unix) DAV/2 mod_rpaf/0.6 configured -- resuming normal operations
[Tue Jun 06 10:35:21 2017] [notice] caught SIGTERM, shutting down
[Tue Jun 06 10:35:21 2017] [notice] suEXEC mechanism enabled (wrapper: /usr/sbin/suexec)
[Tue Jun 06 10:35:21 2017] [notice] Digest: generating secret for digest authentication ...
[Tue Jun 06 10:35:21 2017] [notice] Digest: done
[Tue Jun 06 10:35:21 2017] [notice] Apache/2.2.15 (Unix) DAV/2 mod_rpaf/0.6 configured -- resuming normal operations
[Tue Jun 06 10:36:15 2017] [notice] caught SIGTERM, shutting down
[Tue Jun 06 10:36:15 2017] [notice] suEXEC mechanism enabled (wrapper: /usr/sbin/suexec)
[Tue Jun 06 10:36:15 2017] [notice] Digest: generating secret for digest authentication ...
[Tue Jun 06 10:36:15 2017] [notice] Digest: done
[Tue Jun 06 10:36:15 2017] [notice] Apache/2.2.15 (Unix) DAV/2 mod_rpaf/0.6 configured -- resuming normal operations
[Tue Jun 06 10:45:56 2017] [notice] caught SIGTERM, shutting down
[Tue Jun 06 10:45:56 2017] [notice] suEXEC mechanism enabled (wrapper: /usr/sbin/suexec)
[Tue Jun 06 10:45:56 2017] [notice] Digest: generating secret for digest authentication ...
[Tue Jun 06 10:45:56 2017] [notice] Digest: done
[Tue Jun 06 10:45:56 2017] [notice] Apache/2.2.15 (Unix) DAV/2 mod_rpaf/0.6 configured -- resuming normal operations
[Tue Jun 06 10:47:01 2017] [notice] caught SIGTERM, shutting down
[Tue Jun 06 10:47:01 2017] [notice] suEXEC mechanism enabled (wrapper: /usr/sbin/suexec)
[Tue Jun 06 10:47:01 2017] [notice] Digest: generating secret for digest authentication ...
[Tue Jun 06 10:47:01 2017] [notice] Digest: done
[Tue Jun 06 10:47:01 2017] [notice] Apache/2.2.15 (Unix) DAV/2 mod_rpaf/0.6 configured -- resuming normal operations
[Tue Jun 06 10:47:13 2017] [notice] caught SIGTERM, shutting down

Eof ()

Но это рестарты Може не хватает модуля в апач?

Eof ()
Ответ на: комментарий от Eof

В чем может быть дело?

Может где -DPHP не раскомментировал? Или там -DPHP5 -DPHP56. Давно уже апач не трогал, позабыл всё.

imul ★★★★★ ()
Ответ на: комментарий от Eof

Не надо связываться с SCL, если не знаете как его готовить.

В вашей ситуации подключаете Remi https://blog.remirepo.net/pages/Config-en и ставите версию которая вам нужна из нужного репозитория.

После подключения, делаете yum update и системные пакеты с php будут обновлены на remi-версии. Обратите внимание, что пакеты с префиксом вида phpXX- ставятся в /opt.

trancefer ★★ ()
Последнее исправление: trancefer (всего исправлений: 1)
Ответ на: комментарий от Eof

И в Remi нет?
Это правда выхлоп для 7.3, но не думаю, что для 6.9 будет сильно хуже:

# dnf provides mod_php
Using metadata from Mon Jun 5 07:14:41 2017
php-7.1.4-1.el7.remi.x86_64 : PHP scripting language for creating dynamic web sites
Источник: remi-php71

php-7.1.5-1.el7.remi.x86_64 : PHP scripting language for creating dynamic web sites
Источник: remi-php71

php-5.4.16-42.el7.x86_64 : PHP scripting language for creating dynamic web sites
Источник: base

imul ★★★★★ ()
Ответ на: комментарий от Eof

Убедись что снес 7-й (лучше посредством файла с <?php phpinfo() ?>).

Проблема с 7-ым проста и понятна — времена «<?» вместо «<?php» кончились. Надо тупо идти по коду и менять.

dmiceman ★★★★★ ()
Ответ на: комментарий от dmiceman

«<?» контролируется настройкой short_open_tag, как и раньше.

goingUp ★★★★★ ()
Ответ на: комментарий от trancefer

А что не так теперь то уже? Я поставил PHP 5.6.25 из SCL, прибил апач, теперь все отдается через nginx черех fpm. Пришлось конечно повозится, с htaccess. Зато могу теперь последние версии ocstore ставить.

Eof ()

Возьмите .spec, и соберите rpm-пакетик например в /opt/php70, будет у вас отдельная версия пыха в отдельной структуре каталогов.

AlexAT ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.